local nightcfg = {
	--------------------------------------------------------------------------------------------------------
	--			night settings
	--------------------------------------------------------------------------------------------------------
	weather = {
		clear = {
			skybox 							= "",
			detailTex						= "detailtexbright.bmp",
			cloudcolor						= { 0, 0, 0 },
			suncolor						= { 0.82, 0.66, 0.79 },
			sundir						= { 0.9, 1.0, 0.75 },
			clouddensity					= 0.65,
			skycolor						= { 0.0, 0.0, 0.1 },
			fogcolor						= { 0.25, 0.2, 0.1 },
			fogstart						= 0.9,
			groundambientcolor				= { 0.25, 0.2, 0.1 },
			grounddiffusecolor				= { 1.0, 0.9, 0.8 },
			groundsuncolor					= { 1.0, 0.9, 0.8 },
			groundshadowdensity				= 0.7,
			unitambientcolor				= { 0.25, 0.2, 0.10 },
			unitdiffusecolor				= { 1.0, 0.9, 0.8 },
			unitshadowdensity				= 0.7,
			unitsuncolor					= { 1.0, 0.9, 0.8 },
			specularsuncolor				= { 0.9, 0.7, 0.6 },

		},
			
		snow = {
			detailTex						= "realdet.bmp",
			skybox 							= "",
			cloudcolor						= { 0.5, 0.5, 0.6 },
			suncolor						= { 1, 1, 1 },
			sundir						= { 0.9, 1.0, 0.75 },
			clouddensity					= 0.8,
			skycolor						= { 0.0, 0.0, 0.1 },
			fogcolor						= { 0.65, 0.65, 0.7 },
			fogstart						= 0.2,
			groundambientcolor				= { 0.1, 0.2, 0.3 },
			grounddiffusecolor				= { 0.5, 0.7, 1.0 },
			groundsuncolor					= { 0.5, 0.7, 1.0 },
			groundshadowdensity				= 0.7,
			unitambientcolor				= { 0.1, 0.2, 0.3 },
			unitdiffusecolor				= { 0.7, 0.8, 1.0 },
			unitshadowdensity				= 0.7,
			unitsuncolor					= { 0.7, 0.8, 1.0 },
			specularsuncolor				= { 0.6, 0.7, 0.9 },

		},
			
	},
		
	fog = {
		color			= {0.8,0.85,0.95,0.05},
		height			= 0,
		layers			= 10,
		layerspacing	= 50,
		mapsized		= 0.0,
		fogmaxstrength	= 0.3,
		foglowheight	= 100,
		fogatten 		= 0.005,
	},
	
	water =	{
		shorewaves				= false,
		forcerendering			= false,
		absorb					= { 0.0, 0.0, 0.00 },
		ambientfactor			= 0.05,
		basecolor				= { 0.1, 0.2, 0.25 },
		blurbase				= 8.0,
		blurexponent			= 2.0,
		diffusecolor			= { 0.7, 0.70, 0.6 },
		diffusefactor			= 9.8,
		fresnelmin				= 0.45,
		fresnelmax				= 1.0,
		fresnelpower			= 12,
		mincolor				= { 0.1, 0.1, 0.10 },
		perlinstartfreq			= 20,
		perlinlacunarity		= 3.1,
		perlinamplitude			= 0.9,	
		--planecolor				= { 0.1, 0.2, 0.25 },
		reflectiondistortion	= 0.7,
		specularcolor			= { 0.8, 0.7, 0.65 },
		specularfactor			= 9.9,
		specularpower			= 270,
		surfacecolor			= { 0.1, 0.2, 0.4 },
		surfacealpha			= 0.1,
	},

	grass = {
	
		grassBladeWaveScale = 3.0,
		grassBladeWidth     = 0.5,
		grassBladeHeight    = 6.0,
		grassBladeAngle     = 1.57, -- (PI / 2) radians
	
		},


	resources = {
		
		detailTex        = "",
		splatDetailTex   = '',
		splatDistrTex    = '',
		grassBladeTex    = 'grassbladetex.bmp',
		grassShadingTex  = 'grassshading.bmp',
		skyReflectModTex = '',
		
		},

}

return nightcfg
